package com.yfd.platform.component.voiceserver;

import com.yfd.platform.modules.basedata.domain.SubstationPatroldevice;
import com.yfd.platform.modules.basedata.domain.VoicePatrolLog;

/**
 * @Author pcj
 * @Date 2025/3/6 18:28
 * @Version 1.0
 */
public interface VoiceServerService {

    boolean sendVoiceServerControl(String ID, String actionPower,String fileName);
    boolean createAudioFile(String fileName);
    void executeVoiceTaskAsync(SubstationPatroldevice substationPatroldevice, String duration, VoicePatrolLog log);

}
